//Simulate a RBC model with GHH utility against an aggregate TFP shock
//Use a separate .m file to solve the steady state
var y logy c logc i logi k logk k_m logk_m n logn w logw r logr a;
varexo e_a;
parameters alph betta phi_ghh gam delt rho sigma;
alph = 0.30;
betta = 0.96;
delt = 0.10;
gam = 2.00;
rho = 0.90;
sigma = 0.01;

model;
y = exp(a)*k(-1)^alph*n^(1-alph);
a = rho*a(-1)+e_a;
k = (1-delt)*k(-1) + i;
alph*y/k(-1)=r;
(1-alph)*y/n = w;
phi_ghh*n^gam = w;
1/(c-phi_ghh*n^(1+gam)/(1+gam)) = betta*1/(c(+1)-phi_ghh*n(+1)^(1+gam)/(1+gam))*(r(+1)+1-delt);
y = c + i;
k_m = k(-1);
logy = 100*log(y);
logc = 100*log(c);
logi = 100*log(i);
logk = 100*log(k);
logn = 100*log(n);
logw = 100*log(w);
logr = 100*log(r);
logk_m = 100*log(k_m);
end;

steady;

shocks;
var e_a = sigma^2;
end;

stoch_simul(order = 1,irf=40) logy logc logi logk_m logn logw logr a;