% This code compares the impulse response functions to aggregate TFP shocks in
% different setting of RBC models: baseline RBC, RBC with capital utilization & RBC with GHH utility
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clc;clear;close all;
%Extract Dynare simulation results
dynare BaselineRBC3;
irfs_baseline = oo_.irfs;
irfs_baseline.loge_e_a = zeros(1,options_.irf); 
dynare RBC_GHHutility;
irfs_ghh = oo_.irfs;
irfs_ghh.loge_e_a = zeros(1,options_.irf); 
dynare RBC_CapitalUtilization;
irfs_utilization = oo_.irfs;
% Model Comparison
t=linspace(1,options_.irf,options_.irf)';
index = [2,4,6,10,12,14,16,18,19];
figure
for ii=1:9
    subplot(3,3,ii)
    id = index(ii);
    name = [M_.endo_names{id},'_e_a'];
    plot(t,eval(['irfs_baseline.' name]),'-r',t,eval(['irfs_utilization.' name]),'-b',t,zeros(options_.irf,1),'--r');
    xlim([1 40]);
    title(M_.endo_names{id});
end
figure
for ii=1:9
    subplot(3,3,ii)
    id = index(ii);
    name = [M_.endo_names{id},'_e_a'];
    plot(t,eval(['irfs_baseline.' name]),'-r',t,eval(['irfs_ghh.' name]),'-b',t,zeros(options_.irf,1),'--r');
    xlim([1 40]);
    title(M_.endo_names{id});
end