%This is a code written for Computation Study Group week-1 meeting to illustrate Dynare stochastic simulation
clc;clear;close all;
%1. Simulate the baseline RBC model against an aggregate TFP shock
%1.1 Use Dynare built-in solver to solve the steady state
%    IRF plots absolute deviation from the steady state level
dynare BaselineRBC1.mod
%1.2 Provide Dynare with steady-state values by "steady_state_model"
%    IRF plots percentage deviation from the steady state, by defining log-level variables.
dynare BaselineRBC2.mod
%1.2 Provide Dynare with steady-state values by a seperate m file.
%    IRF plots percentage deviation from the steady state, by defining log-level variables.
%    Redefine a capital level consistent with the model 
dynare BaselineRBC3.mod
clc;clear;close all;
%2. Simulate the baseline RBC model against both TFP shock and demand shock
%    A demand shock is a negative shock to log(beta): how to simulate a negative shock
%    IRF plots percentage deviation from the steady state, by defining log-level variables.
%    Redefine a capital level consistent with the model 
%    Examine the combined effect of two shocks
dynare BaselineRBC_demandshock.mod
clc;clear;close all;
%3. Extensions to basline RBC
%3.1 Simulate a RBC model with variable capital utilization
dynare RBC_CapitalUtilization.mod
clc;clear;close all;
%3.2. Simulate a RBC model with GHH utility
dynare RBC_GHHutility.mod
clc;clear;close all;
%3.3 Model comparison
RBC_model_comparison;