% Declare variables
var c k;
varexo tauc tauk g;

% Parameters
parameters alpha beta delta gamma;
alpha = 0.33;
beta = 0.95;
delta = 0.2;
gamma = 2;

% Euler equation and resource constraint
model;
k = k(-1)^alpha+(1-delta)*k(-1)-c-g;
c^(-gamma) = beta*(1+tauc)/(1+tauc(+1))*c(+1)^(-gamma)*((1-tauk(+1))*(alpha*k^(alpha-1) - delta)+1);
end;

% Computation
initval;
tauc=0;
tauk=0;
g = 0.2;
k = (alpha/(1/beta - 1 + delta))^(1/(1-alpha));
c = k^alpha - delta*k - g;
end;

steady;

%After shock steady state
endval;
tauc = 0;
tauk = 0;
g = 0.2;
k = (alpha/(1/beta - 1 + delta))^(1/(1-alpha));
c = k^alpha - delta*k - g;
end;

steady;

shocks;
var g;
periods 10;
values 0.4;
end;

simul(periods=100);

